org.deidentifier.arx.risk

## Enum HIPAAIdentifierMatch.HIPAAIdentifier

- java.lang.Object
- - java.lang.Enum<HIPAAIdentifierMatch.HIPAAIdentifier>
  - - org.deidentifier.arx.risk.HIPAAIdentifierMatch.HIPAAIdentifier

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HIPAAIdentifierMatch.HIPAAIdentifier>

Enclosing class:
  HIPAAIdentifierMatch

    public static enum HIPAAIdentifierMatch.HIPAAIdentifier
    extends java.lang.Enum<HIPAAIdentifierMatch.HIPAAIdentifier>

Represents the HIPPA identifiers

Author:
  David Gassmann, Fabian Prasser, Florian Kohlmayer

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACCOUNT_NUMBER`
`BIOMETRIC_IDENTIFIER`
`CERTIFICATE_NUMBER`
`DATE`
`DEVICE_IDENTIFIER`
`EMAIL_ADDRESS`
`FAX_NUMBER`
`GEOGRAPHIC_SUBDIVISION`
`HEALTH_PLAN_BENEFICIARY_NUMBER`
`IP`
`MEDICAL_RECORD_NUMBER`
`NAME`
`OTHER`
`PHOTOGRAPH`
`SOCIAL_SECURITY_NUMBER`
`TELEPHONE_NUMBER`
`URL`
`VEHICLE_IDENTIFIER`

### Method Summary

All Methods Static Methods Concrete Methods
`static HIPAAIdentifierMatch.HIPAAIdentifier` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HIPAAIdentifierMatch.HIPAAIdentifier[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NAME

    public static final HIPAAIdentifierMatch.HIPAAIdentifier NAME

#### GEOGRAPHIC_SUBDIVISION

    public static final HIPAAIdentifierMatch.HIPAAIdentifier GEOGRAPHIC_SUBDIVISION

#### DATE

    public static final HIPAAIdentifierMatch.HIPAAIdentifier DATE

#### TELEPHONE_NUMBER

    public static final HIPAAIdentifierMatch.HIPAAIdentifier TELEPHONE_NUMBER

#### FAX_NUMBER

    public static final HIPAAIdentifierMatch.HIPAAIdentifier FAX_NUMBER

#### EMAIL_ADDRESS

    public static final HIPAAIdentifierMatch.HIPAAIdentifier EMAIL_ADDRESS

#### SOCIAL_SECURITY_NUMBER

    public static final HIPAAIdentifierMatch.HIPAAIdentifier SOCIAL_SECURITY_NUMBER

#### MEDICAL_RECORD_NUMBER

    public static final HIPAAIdentifierMatch.HIPAAIdentifier MEDICAL_RECORD_NUMBER

#### HEALTH_PLAN_BENEFICIARY_NUMBER

    public static final HIPAAIdentifierMatch.HIPAAIdentifier HEALTH_PLAN_BENEFICIARY_NUMBER

#### ACCOUNT_NUMBER

    public static final HIPAAIdentifierMatch.HIPAAIdentifier ACCOUNT_NUMBER

#### CERTIFICATE_NUMBER

    public static final HIPAAIdentifierMatch.HIPAAIdentifier CERTIFICATE_NUMBER

#### VEHICLE_IDENTIFIER

    public static final HIPAAIdentifierMatch.HIPAAIdentifier VEHICLE_IDENTIFIER

#### DEVICE_IDENTIFIER

    public static final HIPAAIdentifierMatch.HIPAAIdentifier DEVICE_IDENTIFIER

#### URL

    public static final HIPAAIdentifierMatch.HIPAAIdentifier URL

#### IP

    public static final HIPAAIdentifierMatch.HIPAAIdentifier IP

#### BIOMETRIC_IDENTIFIER

    public static final HIPAAIdentifierMatch.HIPAAIdentifier BIOMETRIC_IDENTIFIER

#### PHOTOGRAPH

    public static final HIPAAIdentifierMatch.HIPAAIdentifier PHOTOGRAPH

#### OTHER

    public static final HIPAAIdentifierMatch.HIPAAIdentifier OTHER

### Method Detail

#### values

    public static HIPAAIdentifierMatch.HIPAAIdentifier[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HIPAAIdentifierMatch.HIPAAIdentifier c : HIPAAIdentifierMatch.HIPAAIdentifier.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HIPAAIdentifierMatch.HIPAAIdentifier valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null